/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.demo.rbac.model;

import java.util.Set;

/**
 * @author Shen Li
 */
public interface Child {
    Set getParents();

    void setParents(Set parents);

    void addParent(Parent parent);

    boolean hasParent(Parent parent);

    void removeParent(Parent parent);
}
